Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000751Frama-CKernel > ACSL implementationpublic2011-03-11 09:542014-02-12 16:59
Reportersignoles 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000751: Promotion from integer to boolean
DescriptionAt this day, in the predicate or term "0 == !1", 0 is an integer while !1 is a boolean. Both members of the equality should have the same type (boolean). Thus a solution could be that the normalization translates "0 == !1" to "(0 == 0) == (0 == !1)".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004768)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-03-11 09:54 signoles New Issue
2011-03-11 09:54 signoles Status new => assigned
2011-03-11 09:54 signoles Assigned To => virgile
2011-03-11 09:58 virgile Status assigned => acknowledged
2011-06-29 18:34 svn Checkin
2011-06-29 18:34 svn Status acknowledged => resolved
2011-06-29 18:34 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004768
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker